Debian Bug report logs - #650541
libsmbclient uses internal symbol krb5_locate_kdc

version graph

Package: libsmbclient; Maintainer for libsmbclient is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>; Source for libsmbclient is src:samba.

Reported by: Igor Urazov <z0rc3r@gmail.com>

Date: Wed, 30 Nov 2011 18:48:11 UTC

Severity: important

Tags: patch

Found in versions libsmbclient/2:3.6.1-2, samba/2:3.6.1-2

Fixed in version samba/2:3.6.1-3

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#650541; Package libsmbclient. (Wed, 30 Nov 2011 18:48:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Igor Urazov <z0rc3r@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Wed, 30 Nov 2011 18:48:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Igor Urazov <z0rc3r@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libsmbclient broken after krb5-1.10 update
Date: Wed, 30 Nov 2011 20:47:26 +0200
Package: libsmbclient
Version: 2:3.6.1-2
Severity: grave
Justification: renders package unusable

[moriya][~]% ldd -r -u /usr/lib/x86_64-linux-gnu/libsmbclient.so.0
       655:     /usr/lib/x86_64-linux-gnu/libsmbclient.so.0: error: relocation
error: symbol krb5_locate_kdc, version krb5_3_MIT not defined in file
libkrb5.so.3 with link time reference (continued)
symbol krb5_locate_kdc, version krb5_3_MIT not defined in file libkrb5.so.3
with link time reference    (/usr/lib/x86_64-linux-gnu/libsmbclient.so.0)
Unused direct dependencies:

[moriya][~]%



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-3.dmz.1-liquorix-amd64 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libsmbclient depends on:
ii  libc6              2.13-21           
ii  libcap2            1:2.22-1          
ii  libcomerr2         1.42-1            
ii  libgssapi-krb5-2   1.10+dfsg~alpha1-4
ii  libk5crypto3       1.10+dfsg~alpha1-4
ii  libkrb5-3          1.10+dfsg~alpha1-4
ii  libldap-2.4-2      2.4.25-4+b1       
ii  libtalloc2         2.0.7-3           
ii  libtdb1            1.2.9-4+b1        
ii  libwbclient0       2:3.6.1-2         
ii  multiarch-support  2.13-21           
ii  zlib1g             1:1.2.3.4.dfsg-3  

libsmbclient recommends no packages.

libsmbclient suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#650541; Package libsmbclient. (Wed, 30 Nov 2011 19:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Wed, 30 Nov 2011 19:24:07 GMT) Full text and rfc822 format available.

Message #10 received at 650541@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Igor Urazov <z0rc3r@gmail.com>, 650541@bugs.debian.org
Cc: krb5@packages.debian.org
Subject: Re: Bug#650541: libsmbclient broken after krb5-1.10 update
Date: Wed, 30 Nov 2011 13:21:37 -0600
[Message part 1 (text/plain, inline)]
reassign 650541 libkrb5-3
retitle 650541 symbol krb5_locate_kdc missing (renamed to k5_locate_kdc)
thanks

On Wed, Nov 30, 2011 at 08:47:26PM +0200, Igor Urazov wrote:
> Package: libsmbclient
> Version: 2:3.6.1-2
> Severity: grave
> Justification: renders package unusable

> [moriya][~]% ldd -r -u /usr/lib/x86_64-linux-gnu/libsmbclient.so.0
>        655:     /usr/lib/x86_64-linux-gnu/libsmbclient.so.0: error: relocation
> error: symbol krb5_locate_kdc, version krb5_3_MIT not defined in file
> libkrb5.so.3 with link time reference (continued)
> symbol krb5_locate_kdc, version krb5_3_MIT not defined in file libkrb5.so.3
> with link time reference    (/usr/lib/x86_64-linux-gnu/libsmbclient.so.0)
> Unused direct dependencies:

Thanks for the report.  The library ABI has changed, which would be a bug in
the library, not in samba.  Reassigning to krb5.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'libsmbclient' to 'libkrb5-3'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 19:24:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions samba/2:3.6.1-2. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 19:24:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'symbol krb5_locate_kdc missing (renamed to k5_locate_kdc)' from 'libsmbclient broken after krb5-1.10 update' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 19:24:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions krb5/1.10+dfsg~alpha1-4. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 19:30:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#650541; Package libkrb5-3. (Wed, 30 Nov 2011 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. (Wed, 30 Nov 2011 22:51:03 GMT) Full text and rfc822 format available.

Message #23 received at 650541@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: 650541@bugs.debian.org,control@bugs.debian.org,vorlon@debian.org, pkg-samba-maint@lists.alioth.debian.org
Subject: krb5_locate_kdc is an internal symbol
Date: Wed, 30 Nov 2011 17:49:22 -0500
reassign 650541 libsmbclient
retitle 650541 libsmbclient uses internal symbol krb5_locate_kdc
found 650541 libsmbclient/2:3.6.1-2
thanks

Hi.
krb5_locate_kdc was not a public symbol.
It was not available in krb5.h without defining KRB5_PRIVATE.
I'm not sure whether it was available with KRB5_PRIVATE.

Those are the symbols that are part of MIT's stable ABI; there are a
similar set of public symbols for GSS-API.  All other symbols are
unstable and may disappear in major versions.  If any of the symbols in
the public ABI change, the soname will change.

I sent a note about krb5_locate_kdc to the samba folks many years ago;
it finally went away.  I have not checked version history and am about
to leave so I don't have time to do it now but this presumably is
renamed because the prototype changed.

I'm happy to add a breaks once we know what version of libsmbclient
won't depend on that symbol.  If that's hard to do, and/or if it's easy
to write a compatibility shim, I'm happy to maintain that for a while.
However, MIT Kerberos has had a fairly well defined ABI stability policy
and krb5_locate_kdc has not been part of that stable ABI ever.




Bug reassigned from package 'libkrb5-3' to 'libsmbclient'. Request was from Sam Hartman <hartmans@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 22:51:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions krb5/1.10+dfsg~alpha1-4. Request was from Sam Hartman <hartmans@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 22:51:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'libsmbclient uses internal symbol krb5_locate_kdc' from 'symbol krb5_locate_kdc missing (renamed to k5_locate_kdc)' Request was from Sam Hartman <hartmans@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 22:51:11 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libsmbclient/2:3.6.1-2. Request was from Sam Hartman <hartmans@debian.org> to control@bugs.debian.org. (Wed, 30 Nov 2011 22:51:11 GMT) Full text and rfc822 format available.

Added indication that 650541 affects libkrb5-3 Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Thu, 01 Dec 2011 08:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#650541; Package libsmbclient. (Thu, 01 Dec 2011 08:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 01 Dec 2011 08:27:07 GMT) Full text and rfc822 format available.

Message #38 received at 650541@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Sam Hartman <hartmans@debian.org>
Cc: 650541@bugs.debian.org, control@bugs.debian.org, vorlon@debian.org, pkg-samba-maint@lists.alioth.debian.org
Subject: Re: [Pkg-samba-maint] krb5_locate_kdc is an internal symbol
Date: Thu, 1 Dec 2011 07:03:42 +0100
[Message part 1 (text/plain, inline)]
Quoting Sam Hartman (hartmans@debian.org):
> reassign 650541 libsmbclient
> retitle 650541 libsmbclient uses internal symbol krb5_locate_kdc
> found 650541 libsmbclient/2:3.6.1-2
> thanks
> 
> Hi.
> krb5_locate_kdc was not a public symbol.
> It was not available in krb5.h without defining KRB5_PRIVATE.
> I'm not sure whether it was available with KRB5_PRIVATE.
> 
> Those are the symbols that are part of MIT's stable ABI; there are a
> similar set of public symbols for GSS-API.  All other symbols are
> unstable and may disappear in major versions.  If any of the symbols in
> the public ABI change, the soname will change.
> 
> I sent a note about krb5_locate_kdc to the samba folks many years ago;

Hello Sam. Thanks for your clear analysis on this.

Sure, I remember this. IIRC, we even had an old bug report in samba
for this. We probably need to check how it got fixed and deal about
this with upstream samba.

Added to my TODO pile, but I would appreciate technical help from
Steve Langasek and/or you. Moreover, I won't be able to deal with this
until next next at minimum.



[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#650541; Package libsmbclient. (Thu, 01 Dec 2011 14:45:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 01 Dec 2011 14:45:16 GMT) Full text and rfc822 format available.

Message #43 received at 650541@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Christian PERRIER <bubulle@debian.org>
Cc: 650541@bugs.debian.org, control@bugs.debian.org, vorlon@debian.org, pkg-samba-maint@lists.alioth.debian.org
Subject: Re: [Pkg-samba-maint] krb5_locate_kdc is an internal symbol
Date: Thu, 01 Dec 2011 09:40:53 -0500
It looks like there is already a configure test.  So, if we up the
dependency on libkrb5-dev to make sure that we get a version that will
not contain the symbol and rebuild, it looks like it will all be fine.
Assuming that when I try that it works, shall I NMU? If so, do you want
it to delayed or directly to the archive?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#650541; Package libsmbclient. (Thu, 01 Dec 2011 16:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to hartmans@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 01 Dec 2011 16:48:12 GMT) Full text and rfc822 format available.

Message #48 received at 650541@bugs.debian.org (full text, mbox):

From: hartmans@debian.org
To: 650541@bugs.debian.org
Subject: samba: diff for NMU version 2:3.6.1-2.1
Date: Thu, 01 Dec 2011 11:45:49 -0500
tags 650541 + patch
thanks

I'm happy to upload this if you like.
I guess alternatively someone could just trigger a binary NMU which would solve the issue for everything but hurd.



diff -Nru samba-3.6.1/debian/changelog samba-3.6.1/debian/changelog
--- samba-3.6.1/debian/changelog	2011-11-27 13:06:59.000000000 -0500
+++ samba-3.6.1/debian/changelog	2011-12-01 10:24:35.000000000 -0500
@@ -1,3 +1,11 @@
+samba (2:3.6.1-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Increase libkrb5-dev dependency to avoid depending on
+    krb5_locate_kdc, Closes: #650541
+
+ -- Sam Hartman <hartmans@debian.org>  Thu, 01 Dec 2011 10:22:30 -0500
+
 samba (2:3.6.1-2) unstable; urgency=low
 
   * Merge changes from 3.5.11~dfsg-4 and unreleased -5 in unstable branch
diff -Nru samba-3.6.1/debian/control samba-3.6.1/debian/control
--- samba-3.6.1/debian/control	2011-11-12 14:37:00.000000000 -0500
+++ samba-3.6.1/debian/control	2011-12-01 10:38:57.000000000 -0500
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 8.9.4~), libpam0g-dev, libreadline-dev,
 	libcups2-dev | libcupsys2-dev,
 	libacl1-dev [linux-any],
-	libkrb5-dev, libldap2-dev, po-debconf, libpopt-dev, uuid-dev,
+	libkrb5-dev(>= 1.10+dfsg~), libldap2-dev , po-debconf, libpopt-dev, uuid-dev,
 	libtalloc-dev (>= 2.0.1-1~bpo50+1),
 	libtdb-dev (>= 1.2.1~),
 	libcap-dev [linux-any],




Added tag(s) patch. Request was from hartmans@debian.org to control@bugs.debian.org. (Thu, 01 Dec 2011 16:48:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#650541; Package libsmbclient. (Thu, 01 Dec 2011 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 01 Dec 2011 18:57:03 GMT) Full text and rfc822 format available.

Message #55 received at 650541@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Sam Hartman <hartmans@debian.org>
Cc: 650541@bugs.debian.org, control@bugs.debian.org, vorlon@debian.org, pkg-samba-maint@lists.alioth.debian.org
Subject: Re: [Pkg-samba-maint] krb5_locate_kdc is an internal symbol
Date: Thu, 1 Dec 2011 18:20:42 +0100
[Message part 1 (text/plain, inline)]
Quoting Sam Hartman (hartmans@debian.org):
> It looks like there is already a configure test.  So, if we up the
> dependency on libkrb5-dev to make sure that we get a version that will
> not contain the symbol and rebuild, it looks like it will all be fine.
> Assuming that when I try that it works, shall I NMU? If so, do you want
> it to delayed or directly to the archive?


Hello Sam,

From what I understand, we nbearly have a patch, then. I can't commit
to do the update during the upcoming week-end (the only "window" I
have is tonight, so if we can quickly agree on the minimum version,
then I can at least try to build tonight and upload tomorrow).

After that, I can probably work on this next week, so it depends on
the urgency we put in this fix. If you feel like a very fast fix is
needed and we haven't fixed the problem by Friday 2nd evening (your
time), then feel free to NMU.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#650541; Package libsmbclient. (Thu, 01 Dec 2011 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 01 Dec 2011 19:30:03 GMT) Full text and rfc822 format available.

Message #60 received at 650541@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Christian PERRIER <bubulle@debian.org>
Cc: Sam Hartman <hartmans@debian.org>, pkg-samba-maint@lists.alioth.debian.org, 650541@bugs.debian.org
Subject: Re: [Pkg-samba-maint] krb5_locate_kdc is an internal symbol
Date: Thu, 01 Dec 2011 20:28:54 +0100
On 12/01/2011 06:20 PM, Christian PERRIER wrote:
> Quoting Sam Hartman (hartmans@debian.org):
>> It looks like there is already a configure test.  So, if we up the
>> dependency on libkrb5-dev to make sure that we get a version that will
>> not contain the symbol and rebuild, it looks like it will all be fine.
>> Assuming that when I try that it works, shall I NMU? If so, do you want
>> it to delayed or directly to the archive?
> 
> 
> Hello Sam,
> 
> From what I understand, we nbearly have a patch, then. I can't commit
> to do the update during the upcoming week-end (the only "window" I
> have is tonight, so if we can quickly agree on the minimum version,
> then I can at least try to build tonight and upload tomorrow).

Christian: I can schedule binNMUs (tomorrow morning) if you don't get to
it this evening/night.

The minimum version seems to be 1.10+dfsg~ according to the patch Sam
sent to the bugreport.

Cheers

Luk




Added tag(s) pending. Request was from bubulle@alioth.debian.org to control@bugs.debian.org. (Thu, 01 Dec 2011 21:00:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#650541; Package libsmbclient. (Thu, 01 Dec 2011 21:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 01 Dec 2011 21:18:07 GMT) Full text and rfc822 format available.

Message #67 received at 650541@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Luk Claes <luk@debian.org>
Cc: Sam Hartman <hartmans@debian.org>, pkg-samba-maint@lists.alioth.debian.org, 650541@bugs.debian.org
Subject: Re: [Pkg-samba-maint] krb5_locate_kdc is an internal symbol
Date: Thu, 1 Dec 2011 22:15:05 +0100
[Message part 1 (text/plain, inline)]
Quoting Luk Claes (luk@debian.org):

> Christian: I can schedule binNMUs (tomorrow morning) if you don't get to
> it this evening/night.
> 
> The minimum version seems to be 1.10+dfsg~ according to the patch Sam
> sent to the bugreport.

I have a build running right now. Indeed, I already built once but
unfortunately, I had forgotten to resync my SVN copy with latest
changes by Steve..:)


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#650541; Package libsmbclient. (Fri, 02 Dec 2011 04:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Epperly <tomepperly@comcast.net>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Fri, 02 Dec 2011 04:27:06 GMT) Full text and rfc822 format available.

Message #72 received at 650541@bugs.debian.org (full text, mbox):

From: Tom Epperly <tomepperly@comcast.net>
To: Debian Bug Tracking System <650541@bugs.debian.org>
Subject: Re: libsmbclient uses internal symbol krb5_locate_kdc
Date: Thu, 01 Dec 2011 20:23:06 -0800
Package: samba
Version: 2:3.6.1-2
Followup-For: Bug #650541

Dear Maintainer,
*** Please consider answering these questions, where appropriate ***

#  apt-get dist-upgrade -u
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  cups-driver-gutenprint gcj-jre-headless grass libgmerlin-avdec1
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? 
Setting up samba (2:3.6.1-2) ...
Starting Samba daemons: nmbd/usr/sbin/nmbd: relocation error: /usr/sbin/nmbd: symbol krb5_locate_kdc, version krb5_3_MIT not defined in file libkrb5.so.3 with link time reference
 failed!
invoke-rc.d: initscript samba, action "start" failed.
dpkg: error processing samba (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of swat:
 swat depends on samba (= 2:3.6.1-2); however:
  Package samba is not configured yet.
dpkg: error processing swat (--configure):
 dependency problems - leaving unconfigured
configured to not write apport reports
                                      configured to not write apport reports
Errors were encountered while processing:
 samba
 swat
E: Sub-process /usr/bin/dpkg returned an error code (1)

*** End of the template - remove these lines ***


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages samba depends on:
ii  adduser                3.113             
ii  debconf [debconf-2.0]  1.5.41            
ii  libacl1                2.2.51-4          
ii  libattr1               1:2.4.46-3        
ii  libc6                  2.13-21           
ii  libcap2                1:2.22-1          
ii  libcomerr2             1.42-1            
ii  libcups2               1.5.0-12          
ii  libgssapi-krb5-2       1.10+dfsg~alpha1-5
ii  libk5crypto3           1.10+dfsg~alpha1-5
ii  libkrb5-3              1.10+dfsg~alpha1-5
ii  libldap-2.4-2          2.4.25-4+b1       
ii  libpam-modules         1.1.3-6           
ii  libpam-runtime         1.1.3-6           
ii  libpam0g               1.1.3-6           
ii  libpopt0               1.16-1            
ii  libtalloc2             2.0.7-3           
ii  libtdb1                1.2.9-4+b1        
ii  libwbclient0           2:3.6.1-2         
ii  lsb-base               3.2-28            
ii  procps                 1:3.3.0-1         
ii  samba-common           2:3.6.1-2         
ii  update-inetd           4.41              
ii  zlib1g                 1:1.2.3.4.dfsg-3  

Versions of packages samba recommends:
pn  logrotate  3.7.8-6
pn  tdb-tools  <none> 

Versions of packages samba suggests:
pn  ctdb                              <none>      
pn  ldb-tools                         <none>      
pn  openbsd-inetd [inet-superserver]  0.20091229-1
pn  smbldap-tools                     <none>      

-- debconf information:
  samba/tdbsam: false
  samba/generate_smbpasswd: true
  samba/run_mode: daemons
  samba-common/title:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#650541; Package libsmbclient. (Fri, 02 Dec 2011 09:15:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Fri, 02 Dec 2011 09:15:46 GMT) Full text and rfc822 format available.

Message #77 received at 650541@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Christian PERRIER <bubulle@debian.org>
Cc: Sam Hartman <hartmans@debian.org>, pkg-samba-maint@lists.alioth.debian.org, 650541@bugs.debian.org
Subject: Re: [Pkg-samba-maint] krb5_locate_kdc is an internal symbol
Date: Fri, 02 Dec 2011 10:12:54 +0100
On 12/01/2011 08:28 PM, Luk Claes wrote:
> On 12/01/2011 06:20 PM, Christian PERRIER wrote:
>> Quoting Sam Hartman (hartmans@debian.org):
>>> It looks like there is already a configure test.  So, if we up the
>>> dependency on libkrb5-dev to make sure that we get a version that will
>>> not contain the symbol and rebuild, it looks like it will all be fine.
>>> Assuming that when I try that it works, shall I NMU? If so, do you want
>>> it to delayed or directly to the archive?
>>
>>
>> Hello Sam,
>>
>> From what I understand, we nbearly have a patch, then. I can't commit
>> to do the update during the upcoming week-end (the only "window" I
>> have is tonight, so if we can quickly agree on the minimum version,
>> then I can at least try to build tonight and upload tomorrow).
> 
> Christian: I can schedule binNMUs (tomorrow morning) if you don't get to
> it this evening/night.

As there are some problems with the upload, I scheduled binNMUs so we
can take our time to look at it.

Cheers

Luk




Severity set to 'important' from 'grave' Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Fri, 02 Dec 2011 15:03:06 GMT) Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Sun, 04 Dec 2011 04:09:06 GMT) Full text and rfc822 format available.

Notification sent to Igor Urazov <z0rc3r@gmail.com>:
Bug acknowledged by developer. (Sun, 04 Dec 2011 04:09:06 GMT) Full text and rfc822 format available.

Message #84 received at 650541-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 650541-close@bugs.debian.org
Subject: Bug#650541: fixed in samba 2:3.6.1-3
Date: Sun, 04 Dec 2011 04:07:01 +0000
Source: samba
Source-Version: 2:3.6.1-3

We believe that the bug you reported is fixed in the latest version of
samba, which is due to be installed in the Debian FTP archive:

libpam-smbpass_3.6.1-3_amd64.deb
  to main/s/samba/libpam-smbpass_3.6.1-3_amd64.deb
libpam-winbind_3.6.1-3_amd64.deb
  to main/s/samba/libpam-winbind_3.6.1-3_amd64.deb
libsmbclient-dev_3.6.1-3_amd64.deb
  to main/s/samba/libsmbclient-dev_3.6.1-3_amd64.deb
libsmbclient_3.6.1-3_amd64.deb
  to main/s/samba/libsmbclient_3.6.1-3_amd64.deb
libwbclient-dev_3.6.1-3_amd64.deb
  to main/s/samba/libwbclient-dev_3.6.1-3_amd64.deb
libwbclient0_3.6.1-3_amd64.deb
  to main/s/samba/libwbclient0_3.6.1-3_amd64.deb
samba-common-bin_3.6.1-3_amd64.deb
  to main/s/samba/samba-common-bin_3.6.1-3_amd64.deb
samba-common_3.6.1-3_all.deb
  to main/s/samba/samba-common_3.6.1-3_all.deb
samba-dbg_3.6.1-3_amd64.deb
  to main/s/samba/samba-dbg_3.6.1-3_amd64.deb
samba-doc-pdf_3.6.1-3_all.deb
  to main/s/samba/samba-doc-pdf_3.6.1-3_all.deb
samba-doc_3.6.1-3_all.deb
  to main/s/samba/samba-doc_3.6.1-3_all.deb
samba-tools_3.6.1-3_amd64.deb
  to main/s/samba/samba-tools_3.6.1-3_amd64.deb
samba_3.6.1-3.debian.tar.gz
  to main/s/samba/samba_3.6.1-3.debian.tar.gz
samba_3.6.1-3.dsc
  to main/s/samba/samba_3.6.1-3.dsc
samba_3.6.1-3_amd64.deb
  to main/s/samba/samba_3.6.1-3_amd64.deb
smbclient_3.6.1-3_amd64.deb
  to main/s/samba/smbclient_3.6.1-3_amd64.deb
swat_3.6.1-3_amd64.deb
  to main/s/samba/swat_3.6.1-3_amd64.deb
winbind_3.6.1-3_amd64.deb
  to main/s/samba/winbind_3.6.1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650541@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated samba package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 01 Dec 2011 21:56:52 +0100
Source: samba
Binary: samba samba-common-bin samba-common samba-tools smbclient swat samba-doc samba-doc-pdf libpam-smbpass libsmbclient libsmbclient-dev winbind libpam-winbind samba-dbg libwbclient0 libwbclient-dev
Architecture: source amd64 all
Version: 2:3.6.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 libpam-smbpass - pluggable authentication module for Samba
 libpam-winbind - Samba nameservice and authentication integration plugins
 libsmbclient - shared library for communication with SMB/CIFS servers
 libsmbclient-dev - development files for libsmbclient
 libwbclient-dev - Samba winbind client library - development files
 libwbclient0 - Samba winbind client library
 samba      - SMB/CIFS file, print, and login server for Unix
 samba-common - common files used by both the Samba server and client
 samba-common-bin - common files used by both the Samba server and client
 samba-dbg  - Samba debugging symbols
 samba-doc  - Samba documentation
 samba-doc-pdf - Samba documentation in PDF format
 samba-tools - Samba testing utilities
 smbclient  - command-line SMB/CIFS clients for Unix
 swat       - Samba Web Administration Tool
 winbind    - Samba nameservice integration server
Closes: 650091 650541
Changes: 
 samba (2:3.6.1-3) unstable; urgency=low
 .
   [ Sam Hartman ]
   * Increase libkrb5-dev dependency to avoid depending on
     krb5_locate_kdc, Closes: #650541
 .
   [ Steve Langasek ]
   * Fix the libpam-winbind description to more accurately identify the
     protocols being used by nss_wins.  Closes: #650091.
Checksums-Sha1: 
 58a1d9816317c68825a55de7399d4553d9dadd39 3020 samba_3.6.1-3.dsc
 760fee66aed2d7e2c5fe498ab3429d50a60eae93 216868 samba_3.6.1-3.debian.tar.gz
 96cb003b88fdf2f94307c30fcf731d3c01eefa78 8343918 samba_3.6.1-3_amd64.deb
 082a5f7e2f6e799afa2e1969990b1139e39569b9 6401686 samba-common-bin_3.6.1-3_amd64.deb
 e279b3356b82534a5cb6cfc7d5d24140d6f42ee3 387568 samba-common_3.6.1-3_all.deb
 3f97b875cc4d1847cab9669496a35b8b21de3d9f 11957560 samba-tools_3.6.1-3_amd64.deb
 e2ac062172a522abf7d0eacac941d8bc43ca7f86 14505084 smbclient_3.6.1-3_amd64.deb
 18a95cfc925d87fee033cd9f68f40682e9fc8e72 2325510 swat_3.6.1-3_amd64.deb
 977053e3239318fa9db1bf0a1f0f465228215cf0 1753506 samba-doc_3.6.1-3_all.deb
 9bb40f556b26a85539abfa3fed17d5454da5d09b 7058894 samba-doc-pdf_3.6.1-3_all.deb
 32ea15054889f03b929512242ee616264d5abd9b 859430 libpam-smbpass_3.6.1-3_amd64.deb
 9c67d07b38d903d13b9a7e6bc7a2d0e4a4b8fed0 2085644 libsmbclient_3.6.1-3_amd64.deb
 814d13f7207257d234f4594f4a4b5eb87e9ddc72 2972774 libsmbclient-dev_3.6.1-3_amd64.deb
 b0fc15604cc726397ebb17fb5f5febda55991a0a 4601900 winbind_3.6.1-3_amd64.deb
 fa6ede46919d8de7c1a1420d03af841dff86efb7 723232 libpam-winbind_3.6.1-3_amd64.deb
 4a614ebc2977a9756bda656b2ae568040dd0e03e 55233332 samba-dbg_3.6.1-3_amd64.deb
 48fe46f2c1071d0d96f19de85abf71da33dddf36 95344 libwbclient0_3.6.1-3_amd64.deb
 d183f2fef2f7f92698d5f373d087f74d07098043 80386 libwbclient-dev_3.6.1-3_amd64.deb
Checksums-Sha256: 
 97c4b9c3cdf94561315f238e019c5f92b6eec7d48ab49faf851403ed972b9962 3020 samba_3.6.1-3.dsc
 0b5d4995fd81a2299171d97ad5b3fd8a10ece84169258dfd5d880e6be64e1ac6 216868 samba_3.6.1-3.debian.tar.gz
 d6e82adf7c90836ba2c6852c5d2fbf388330f5b847178a3c828f7f076a57052b 8343918 samba_3.6.1-3_amd64.deb
 3e2806df69ac21e40ab5a0e5d47949444514bd441972bdda7e1ba1707eabb84b 6401686 samba-common-bin_3.6.1-3_amd64.deb
 57e37c269ea00028db054e02abb7300925a350b89a089fa6d7eb0b8cb38836ea 387568 samba-common_3.6.1-3_all.deb
 0b90762e6c41b6b0935843b5d7fe0d40214a191445291dfd2aaf13365abfef8d 11957560 samba-tools_3.6.1-3_amd64.deb
 6273b09141b19a856a56381ecc8ea3120e065a4be745c3b0be53d144f78985df 14505084 smbclient_3.6.1-3_amd64.deb
 5d7c4e77f4dff15022880975861c35bd405d989f05e267ea6bfdb6da4b71db39 2325510 swat_3.6.1-3_amd64.deb
 75815b84caff8aa3eced30046dec63a51b7f84682b2d1830a85a2bdab57c5fd6 1753506 samba-doc_3.6.1-3_all.deb
 cc7524bb612a76a2d12de1bd200f7f86fcab9f878e269443ee40fbd9f07ce736 7058894 samba-doc-pdf_3.6.1-3_all.deb
 bf2d171940d609781257063e886aa92e70d1b6af963a3ab8b1038574a21c6dbf 859430 libpam-smbpass_3.6.1-3_amd64.deb
 50b483d4d31b63ce4f03e17aa9c1553d62ba7326458b483e1af8f157440f979e 2085644 libsmbclient_3.6.1-3_amd64.deb
 b5c29c64662d81cc642aa92d5aaa054853d69620f45d32a46c55fcec867d9438 2972774 libsmbclient-dev_3.6.1-3_amd64.deb
 9691b0736c9867b94435aa0bab8016806d06ded06fda379ca31d85d1c1b1f94e 4601900 winbind_3.6.1-3_amd64.deb
 1382fbf765fd8c7054b0818643357cd96cfb965450a4a19df0d8ed2fe85e0232 723232 libpam-winbind_3.6.1-3_amd64.deb
 1506c8f43dec21aeeb33e66480a699a70791f271ec939d325171fe32a48cb615 55233332 samba-dbg_3.6.1-3_amd64.deb
 1c44d4697cefc5d77040dbdb9924df2fb0cb2b65623d7076f8edff6a4554e6b5 95344 libwbclient0_3.6.1-3_amd64.deb
 76a9a08ae61a20e96a7a31307b18b2d0ba3c6a52263e1cfb79cf6571f24ba08b 80386 libwbclient-dev_3.6.1-3_amd64.deb
Files: 
 dd2e32e7255f7b8731fc680a2ba22ade 3020 net optional samba_3.6.1-3.dsc
 d610b016b60d132bd32322f7008e9116 216868 net optional samba_3.6.1-3.debian.tar.gz
 af494aa1fffd9e7591e6151b9210f5db 8343918 net optional samba_3.6.1-3_amd64.deb
 9056d0dc807451f4c5a668a2612a6abf 6401686 net optional samba-common-bin_3.6.1-3_amd64.deb
 c70d5501ee36e1ab62e88ab418d2b209 387568 net optional samba-common_3.6.1-3_all.deb
 ff5b35264ded9d4031ee329ff677eb35 11957560 net optional samba-tools_3.6.1-3_amd64.deb
 a55d34f2c12df65b771e28e367b7f193 14505084 net optional smbclient_3.6.1-3_amd64.deb
 cb37c02d4b2dabeedd0ed0ed815f90df 2325510 net optional swat_3.6.1-3_amd64.deb
 d86747cce424f8c414ea1548da1a5d34 1753506 doc optional samba-doc_3.6.1-3_all.deb
 4070632df1244ebf45a6d291bdbe7ccd 7058894 doc optional samba-doc-pdf_3.6.1-3_all.deb
 269d721c466dbc26c7128d5c19b65f0e 859430 admin extra libpam-smbpass_3.6.1-3_amd64.deb
 1c7c540c8ad4f9f5aefeab3555a261f0 2085644 libs optional libsmbclient_3.6.1-3_amd64.deb
 ba41189bfa750d032fdf58f0c8aa44f7 2972774 libdevel extra libsmbclient-dev_3.6.1-3_amd64.deb
 698d910fe3cccbd2403d92848db3ab49 4601900 net optional winbind_3.6.1-3_amd64.deb
 84d0531585ca7e3e110eafca7e92efa2 723232 net optional libpam-winbind_3.6.1-3_amd64.deb
 fc3af9f19a14c66744a66542b0e3e928 55233332 debug extra samba-dbg_3.6.1-3_amd64.deb
 496c29eb1464d306b7f7ff1ca31e9999 95344 libs optional libwbclient0_3.6.1-3_amd64.deb
 03d4c87ed848a6a6e31cf1a5b830997b 80386 libdevel optional libwbclient-dev_3.6.1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTtrtxVaNMPMhshM9AQhOYw//fug/ZZrwRWcQjIcVpqOQaW85OzqHIjkK
ckbzrLya11uhGUiQU7lhCarC78OhmmWfy0X5tscitqpQWrfRyNeOM4ibRXwnlkfY
CSircc885EfR0mOiEsqOamdssNSp0c3uhCjQA7lDp9MIslzg2M7MXnRpDhqXkApJ
lhOx5GXimaPfzx/HVfBImxmmTYxRmvy3NzVz5EunvpQ6HOJiYwL7Ypfhrl+gIYLD
QAb1kvBzjIs05Fqq5DESQ3hh1jSEsdNtHXFs069lOiR5BVYEJqVGviz6hwN3HxEt
VP0YLqUfgYmbk0ZVCtMXfcQN5pEo+3T0Um1lfMu0Ebg+lYAbw8hmd3MYL3i+OplA
Mmu3dZvnjdV2XsRRw69xh/kuzu2wlCVCU1xOOvUl5RB3ZaPVRWV43ht25u7gjO6P
p/YKx/+E0lLICUIhGPKPStNf08SW1aWTvIZDlPsEBwrifiNVkRo6oBqEwN4pPBaO
hwrhgvbg4SlwHw8xJ64maLGynjpb7LkIRMLY6OwFhxJCNeM1P4YBHfvMQ9/ZkC3e
TQ/DD+KT7N+8rCmL1Lajkak8KI+jrdZGJRVizDkZXK9XfaZtzC8lMMGyKeRGBWt5
x/ubaoksCaUq6vyv6eU+ugPPpkDjrB30oNx/LMTvwLS/EMxOSM6uMUIu/ylQnpsp
cdoEmG6qwPk=
=445s
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jan 2012 07:32:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:49:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.